Redmine - Defect #24925

setting wiki page for a project version invalidates all version links
2017-01-26 08:11 - Pavel Kveton

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.3.1
Description

in the project settings (Settings->Versions), as per the attached screenshot:

in the first column ("Version"), you can click on the version (e.g. 3.1.0.p9, link https:/myseerver/versions/186) and get the list of
issues targeting this version).

When | open the version settings ("Edit" in the last column) and fill in the "Wiki page", the link https://myseerver/versions/186
becomes invalid (see "invalid page" screenshot).

When | empty "Wiki page" for the version, the link becomes valid again.

I'm not sure where the link https:/myseerver/versions/186 should point when the version wiki page is filled, I'd expect it still should
show the list of the issues.

History

#1 - 2017-01-26 08:21 - Go MAEDA

Could you paste the error log in log/production.log file?

#2 - 2017-01-26 22:09 - Pavel Kveton

sorry for delay, took me longer than | expected to find it ;-). version/146 = one of the versions with Wiki Page specified:

Started GET "/versions/146" for 82.117.133.194 at 2017-01-26 21:12:35 +0100
Processing by VersionsController#show as HTML

Parameters: {"id"=>"146"}

Current user: pkveton (id=53)

Rendered plugins/advanced_roadmap/app/views/versions/show.html.erb within layouts/base (2.5ms)
Completed 500 Internal Server Error in 540ms (ActiveRecord: 49.3ms)

ActionView: :Template: :Error (No route matches {:action=>"edit", :controller=>"wiki", :id=>#<Project id: 1, nam
e: "Qorus", description: "", homepage: "", is_public: false, parent_id: nil, created_on: "2013-06-10 11:27:52"
, updated_on: "2013-06-10 13:19:24", identifier: "gorus", status: 1, 1ft: 9, rgt: 18, inherit_members: false,
default_version_id: nil>, :page=>"Qorus_version_310"}):

1: <div class="contextual">

29 <%= link_to_if_authorized 1 (:button_edit), {:controller => 'versions', :action => 'edit', :id => Qver
sion}, :class => 'icon icon-edit' %>

38 <%= link_to_if_authorized(l (:button_edit_associated_wikipage, :page_title => Q@version.wiki_page_title
), {:controller => 'wiki', :action => 'edit', :id => @version.project, :page => Wiki.titleize (Q@version.wiki_pa
ge_title)}, :class => 'icon icon-edit') unless @version.wiki_page_title.blank? || @version.project.wiki.nil? %
>

4: <%= call_hook (:view_versions_show_contextual, { :version => @version, :project => @project }) %>

5: </div>

6.

app/helpers/application_helper.rb:48:in “link_to_if_ authorized'

plugins/advanced_roadmap/app/views/versions/show.html.erb:3:in ~_plugins_advanced_roadmap_app_views_versions
_show_html_erb__ 4035772425503105859_110654900"

lib/redmine/sudo_mode.rb:63:in " sudo_mode'

| hope this helps - if you need more info, pls let me know...

#3 - 2017-01-27 00:27 - Go MAEDA
- Category deleted (Project settings)

- Status changed from New to Closed
https://myseerver/versions/186
https://myseerver/versions/186
https://myseerver/versions/186

- Resolution set to Invalid

Maybe the problem is caused by advanced_roadmap plugin.
I think that the plugin on your server does not support Redmine 3.3.

Please contact the author of the plugin.
